Yaf_Route_Static::match
Yaf_Route_Supervar
Yaf_Route_Static
PHP Manual

# Yaf_Route_Static::route

Route a request

### Description

public bool Yaf_Route_Static::route ( Yaf_Request_Abstract `$request` )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`request`

### Return Values

always be `TRUE`

### Examples

Example #1 Yaf_Route_Static::routeexample

    // assuming there is only one module defined:Index
    Request: http://yourdomain.com/a/b
    => module = index, controller=a, action=b

    //assuming ap.action_prefer = On
    Request: http://yourdomain.com/b
    => module = default(index), controller = default(index), action = b

    //assuming ap.action_prefer = Off
    Request: http://yourdomain.com/b
    => module = default(index), controller = b, action = default(index)

    Request: http://yourdomain.com/a/b/foo/bar/test/a/id/4
    => module = default(index), controller = a, action = b, request parameters: foo = bar, test = a, id = 4

### See Also

- Yaf_Route_Supervar::route
- Yaf_Route_Simple::route
- Yaf_Route_Regex::route
- Yaf_Route_Rewrite::route
- Yaf_Route_Map::route